#
# spec file for the Gimp guide
# (c) 2004 IMC
#

# Basic macros
%define appli    gimp
%define guideid  Gimp
%define guidedir guide/Guides/%guideid
%define name     guide-%appli
%define version  1.0.3
%define release  1mdk
%define abstract The Gimp guide
%define title    Guide le Gimp

# Standard EduPack menu-file macros
%define m_teacher  00. Poste de travail de l'enseignant
%define m_mat_soft 10. Maternelle : Logiciels
%define m_mat_ps   11. Maternelle : Ressources PS
%define m_mat_ms   12. Maternelle : Ressources MS
%define m_mat_gs   13. Maternelle : Ressources GS
%define m_pri_soft 20. Ecole primaire : Logiciels
%define m_pri_cp   21. Ecole primaire : Ressources CP
%define m_pri_ce1  22. Ecole primaire : Ressources CE1
%define m_pri_ce2  23. Ecole primaire : Ressources CE2
%define m_pri_cm1  24. Ecole primaire : Ressources CM1
%define m_pri_cm2  25. Ecole primaire : Ressources CM2
%define m_col_soft 30. Collge : Logiciels
%define m_col_6    31. Collge : Ressources 6e
%define m_col_5    32. Collge : Ressources 5e
%define m_col_4    33. Collge : Ressources 4e
%define m_col_3    34. Collge : Ressources 3e
%define m_lyc_soft 40. Lyce : Logiciels
%define m_lyc_2    41. Lyce : Ressources Seconde
%define m_lyc_1    42. Lyce : Ressources Premire
%define m_lyc_T    43. Lyce : Ressources Terminale
%define m_mmedia   Multimdia
%define m_office   Bureautique
%define m_organize Organisation
%define m_sciences Sciences
%define m_web_use  Internet : Utilisation
%define m_web_cre  Internet : Cration
%define m_M        Mathmatiques
%define m_MS       Mathmatiques srie S
%define m_ME       Mathmatiques srie ES
%define m_ML       Mathmatiques srie L
%define m_F        Franais
%define m_P        Physique
%define m_C        Chimie
%define m_PC       Physique - Chimie
%define m_T        S.V.T.
%define m_W        Enseignement scientifique
%define m_H        Histoire
%define m_G        Gographie
%define m_I        Philosophie
%define m_E        Education civique
%define m_D        Dcouverte du monde
%define m_SE       S.E.S.
%define m_A        Anglais
%define m_AL       Allemand
%define m_ES       Espagnol
%define m_edupack  PACKS Educatifs libres


Name:            %name
Summary:         %abstract
Version:         %version
Release:         %release
License:         GFDL
Group:           Education
URL:             http://www.ruedesecoles.com/EduPack
Buildarch:       noarch
BuildRoot:       %{_tmppath}/%{name}-buildroot
Requires:        guide locales-fr gimp

Source0:         http://www.ruedesecoles.com/EduPack/%name-%version.tar.bz2

%description
The Gimp guide for guide package.

%prep

%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot/%_datadir/%guidedir/Icons/
mkdir -p %buildroot/%_datadir/%guidedir/fr_FR/Images
install -m 644 version              %buildroot/%_datadir/%guidedir/
install -m 644 Icons/%{appli}48.png %buildroot/%_datadir/%guidedir/Icons/
install -m 644 Icons/%{appli}32.png %buildroot/%_datadir/%guidedir/Icons/
install -m 644 Icons/%{appli}16.png %buildroot/%_datadir/%guidedir/Icons/
install -m 644 fr_FR/content.xml    %buildroot/%_datadir/%guidedir/fr_FR/
install -m 644 fr_FR/Images/*.png   %buildroot/%_datadir/%guidedir/fr_FR/Images/

# Menu icons
install -D -m 644 Icons/%{appli}48_.png %buildroot/%_liconsdir/%name.png
install -D -m 644 Icons/%{appli}32_.png %buildroot/%_iconsdir/%name.png
install -D -m 644 Icons/%{appli}16_.png %buildroot/%_miconsdir/%name.png

# Menu entries
mkdir -p %buildroot/%_menudir/simplified
cat > %buildroot/%_menudir/%name << EOF
?package(%name): command="%_bindir/guide %guideid" \
needs="X11" icon="%name.png" section="More Applications/Education/Other" \
title="%title" longtitle="%abstract"
?package(%name): command="%_bindir/guide %guideid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_teacher/%m_mmedia" \
title="%title"
EOF

cat > %buildroot/%_menudir/simplified/%name << EOF
?package(%name): command="%_bindir/guide %guideid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_teacher/%m_mmedia" \
title="%title"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%_datadir/%guidedir/*
%_liconsdir/*.png
%_miconsdir/*.png
%_iconsdir/*.png
%_menudir/%name
%_menudir/simplified/%name

%changelog
* Fri Apr 22 2005 Lenny Cartier <lenny@mandriva.com> 1.0.3-1mdk
- 1.0.3

* Thu Apr 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-3mdk
- fix simplified menu

* Wed Apr 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-2mdk
- add simplified menu

* Wed Apr 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Fri Apr 02 2004 Isabelle CHARPENTIER <isabelle.charpentier@infomedia.fr> 1.0.0-1mdk
- no more Pdf

* Fri Mar 19 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 0.1.2-1mdk
- guide-gimp_pri, guide-gimp_col, guide-gimp_lyc creation

* Tue Mar 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-2mdk
- less EduPack menus...
- add standard menus

* Tue Mar 09 2004 Isabelle CHARPENTIER <isabelle.charpentier@infomedia.fr> 0.1.0-1mdk
- initial release
